Eclipse安装ivyDe插件

ivyDe是eclipse的一个插件,用来支持ivy。

要安装ivyDe,可以从eclipse在线安装,地址是http://www.apache.org/dist/ant/ivyde/updatesite

但是可能是因为我的eclipse的原因,无论在线安装什么插件都报错:说网站的content.xml找不到,因此就只能手动下载安装了。下载的文件为apache-ivyde-2.1.0.201008101807-RELEASE.zip

这个手动的过程非常纠结,捣鼓了半天才安装上,特来分享。诉苦的话不说,就说最后的方法:

先说下载的这个文件。这个文件中有两个文件夹features和plugins,以及一些无关紧要的文件。features文件夹下只有一个文件:org.apache.ivyde.feature_2.1.0.201008101807-RELEASE.jar,plugins文件夹下也只有一个文件:org.apache.ivyde.eclipse_2.1.0.201008101807-RELEASE.jar

首先,先把org.apache.ivyde.feature_2.1.0.201008101807-RELEASE.jar解压缩了,然后复制到eclipse的features文件夹下,不然启动eclipse后,打开Window》Show View》Error log会看到报错Unable to find feature.xml in directory: 省略/eclipse/features/org.apache.ivy.feature_2.0.0.final_20090108225011.jar。在把org.apache.ivyde.eclipse_2.1.0.201008101807-RELEASE.jar复制到plugins文件夹下。一些帖子到这就结束了,读者可以重启一下自己的eclipse,如果能找到ivyDe那就成了,如果没有那就说明还缺文件,看下一步。

第二步,在http://www.apache.org/dist/ant/ivyde/updatesite网页下有两个目录features和plugins,乍一看可能误以为这里面放的只是ivyDe的多个版本,其实还放了几个版本ivy,它跟ivyDe是不一样的,安装ivyDe插件需要这些文件。在plugins目录下每个版本的ivy有两个文件:一个名字里面带eclipse,另一个不带。选择一个版本的下载,举个例子,我下了:org.apache.ivy_2.2.0.final_20100923230623.jar和org.apache.ivy.eclipse.ant_2.2.0.final_20100923230623.jar。下载完后放到eclipse的plugins文件夹下,这个时候ivyDe就安装成功了,但是推荐再去features目录下下载相应版本ivy的feature文件,我的是:org.apache.ivy.feature_2.2.0.final_20100923230623.jar,解压缩,在拷到eclipse的features文件夹下。完成。

其实第一步里的两个文件也在这两个目录下,所以那个zip文件不下也行,直接在这两个目录下面一并下载了。

完成后,应该可以在window》preference对话框里看到ivy一栏,在plugins列表里也可以看到两个ivy,一个ivyDe。

没有更多推荐了,返回首页

私密
私密原因:
请选择设置私密原因
  • 广告
  • 抄袭
  • 版权
  • 政治
  • 色情
  • 无意义
  • 其他
其他原因:
120
出错啦
系统繁忙,请稍后再试

关闭